POST Search Promotions
POST /sites/{site_id}/promotion_search
Operation ID: Search Promotions. Tags: sites. Security: oauth2_application.
Searches for promotions.
The SearchRequest document contains a search object that allows filtering on various attributes.
The query attribute specifies a complex query that can be used to narrow down the search. These are the searchable attributes:
-
id - String
-
name - String
-
currency_code - String
-
exclusivity - String
-
enabled - Boolean
Note that only searchable attributes can be used in sorting. Additionally, the following attribute can be used to sort:
-
promotion_class - String
This endpoint may return the following faults:
- 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.
Parameters
site_id(path, string, required) The site context.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
MalformedSearchParameterException- Thrown if the query is ill-formed.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:promotion_search_result.